Rated 5 out of 5 stars

Thank God it's back and working properly. I missed it when I upgraded to Firefox 3.6.3. I had no problems with download/install. Works great.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

Thanks for IE Tab 2. Now I can switch to FF 3.6.
But please do tweaking on the speed. There is a noticeable delay when switching to-and-from IE to FF.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 1 out of 5 stars

It takes a VERY long time from the moment the a IE tab is opened to the moment it is possible to type the desired URL.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

Great and essential addon.

This review is for a previous version of the add-on (2.4.14.1).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

This is a must have extension in corporate sector. Five star.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

There is a fault that when in IE mode, I can't open a link in a new tab by simply click mid-key of the mouse

This review is for a previous version of the add-on (2.4.14.1).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

Finally..! We missed it..!

This review is for a previous version of the add-on (2.4.14.1). 

It help on flash Rated 5 out of 5 stars

well. that do help on flash problem. 5star. very good addon

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

Very useful, thanks for updating this.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

I LOVE IT! Thanks! But....

V 2.4.14.1 - update not working, it's been 5 days and I'm getting bugged by FF on every opening, only for it not to work.

This review is for a previous version of the add-on (2.4.14.1). 

getting a working ver of ie tab 2 Rated 5 out of 5 stars

ty Pijuvwy for the link, nothing worked but your link. glad to see ie tab updated.

This review is for a previous version of the add-on (2.4.14.1). 

getting a working ver of ie tab 2 Rated 5 out of 5 stars

ty Pijuvwy for the link, nothing worked but your link. glad to see ie tab updated.

This review is for a previous version of the add-on (2.4.14.1). 

getting a working ver of ie tab 2 Rated 5 out of 5 stars

ty Pijuvwy for the link, nothing worked but your link. glad to see ie tab updated.

This review is for a previous version of the add-on (2.4.14.1). 

NO PROBLEMS- WORKS FINE Rated 5 out of 5 stars

Delayed upgrading past FF 3.5.9 due to incompatibility and abandonment of the original IE Tab add-on. Finally broke down and tried IE Tab 2 (disable orginal IE Tab first). Absolutely no problems with installation (once I found the correct page) and operation. Worked great with FF 3.5.9; works perfectly with FF 3.6.3. Identical replacement for original IE Tab. (Stay away from Coral IE Tab- has extra features and some apparent glitches.)

It is strange that Mozilla is apparently refusing to "officially" approve this add-on, making it invisible in a search for "IE Tab" or "IE Tab 2". Makes me wonder what their problem is...

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

Thanks for updating it.

This review is for a previous version of the add-on (2.4.14.1). 

Get it. Rated 5 out of 5 stars

Being logged-in at Mozilla didn't help. Getting it from http://www.ietab.net/downloads/ietab-2.4.14.1.xpi did the trick.

This review is for a previous version of the add-on (2.4.14.1). 

Rated 4 out of 5 stars

Works great - after I had downloaded it from the above mentioned ...-versions address, because here I always got Error-228. I guess not all users find their way here and can learn about the alternative d/l address, so please fix this!

This review is for a previous version of the add-on (2.4.14.1). 

Update problem Rated 5 out of 5 stars

Same problem here, same solution. Thanks . .

This review is for a previous version of the add-on (2.4.14.1). 

Error -228 Rated 5 out of 5 stars

I kept getting a -228 error when I tried to update 2.4.14.1 from here, so I used the site another poster listed: http://www.ietab.net/ie-tab-2-versions
Updated fine from there!

This review is for a previous version of the add-on (2.4.14.1). 

Rated 5 out of 5 stars

I wasn't able to get the 2.4.14.1 version from AMO - I had to go here to get it instead:

http://www.ietab.net/ie-tab-2-versions

This review is for a previous version of the add-on (2.4.14.1).